For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all purchase orders
        • GETGet purchase order by ID
        • GETGet all purchase order items for a specific purchase order
        • POSTCreate Purchase Order: Yardi
        • PUTUpdate Purchase Order: Yardi
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Purchase Orders

Update Purchase Order: Yardi

PUT
/v1/purchase-orders/yardi/:purchase_order_id
PUT
/v1/purchase-orders/yardi/:purchase_order_id
$curl -X PUT https://api.propexo.com/v1/purchase-orders/yardi/purchase_order_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "vendor_id": "vendor-7890",
> "description": "Change order for additional landscaping materials",
> "number": "PO123456",
> "total_amount_in_cents": 125000,
> "order_date": "2024-01-15T09:30:00Z",
> "expense_type": "Landscaping",
> "display_type": "Change Order",
> "purchase_order_items": [
> {
> "property_id": "property-4567",
> "description": "Additional sod for front yard",
> "stock_code": "LS-1001",
> "quantity_ordered": "50",
> "unit_price_in_cents": 2500,
> "total_cost_in_cents": 125000,
> "cost_code": "COST-200",
> "category_code": "CAT-10"
> }
> ]
>}'
1{
2 "meta": {
3 "job_id": "job-1234567890"
4 },
5 "result": {
6 "purchase_order_id": "po-987654321",
7 "vendor_id": "vendor-7890",
8 "description": "Change order for additional landscaping materials",
9 "number": "PO123456",
10 "total_amount_in_cents": 125000,
11 "order_date": "2024-01-15T09:30:00Z",
12 "expense_type": "Landscaping",
13 "display_type": "Change Order",
14 "purchase_order_items": [
15 {
16 "property_id": "property-4567",
17 "description": "Additional sod for front yard",
18 "stock_code": "LS-1001",
19 "quantity_ordered": "50",
20 "unit_price_in_cents": 2500,
21 "total_cost_in_cents": 125000,
22 "cost_code": "COST-200",
23 "category_code": "CAT-10",
24 "construction_job_id": "job-2345",
25 "financial_account_id": "fin-7890"
26 }
27 ],
28 "shipping_address_1": "123 Greenway Blvd",
29 "shipping_address_2": "Suite 200",
30 "shipping_city": "Springfield",
31 "shipping_state": "IL",
32 "shipping_zip": "62704",
33 "shipping_country": "USA",
34 "billing_address_1": "456 Commerce St",
35 "billing_address_2": "Floor 3",
36 "billing_city": "Springfield",
37 "billing_state": "IL",
38 "billing_zip": "62701",
39 "billing_country": "USA"
40 }
41}
Update Purchase Order: Yardi. This API call does not modify the purchase order in place in Yardi. It creates a change order that is attached to the existing parent purchase order specified. | Interface | Method | |---|---| | Vendor Invoicing | ImportPOChangeOrders |
Was this page helpful?
Previous

Get all residents

Next
Built with

Update Purchase Order: Yardi. This API call does not modify the purchase order in place in Yardi. It creates a change order that is attached to the existing parent purchase order specified.

InterfaceMethod
Vendor InvoicingImportPOChangeOrders

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

purchase_order_idstringRequired
The Propexo unique identifier for the purchase order

Request

This endpoint expects an object.
vendor_idstringRequired
The Propexo unique identifier for the vendor
descriptionstringRequired
Description of the purchase order
numberstringRequired1-8 characters
The number of the purchase order
total_amount_in_centsdoubleRequired
The amount of the purchase order, in cents
order_datestringRequired
The order date for the purchase order
expense_typestringRequired
The expense type of the purchase order. You'll have to request this data from your customer
display_typestringRequired
The display type of the purchase order. You'll have to request this data from your customer
purchase_order_itemslist of objectsRequired
A list of the items associated with the purchase orders
shipping_address_1stringOptional
The first address line associated with the shipping address for the purchase order
shipping_address_2stringOptional
The second address line associated with the shipping address for the purchase order
shipping_citystringOptional
The city associated with the shipping address for the purchase order
shipping_stateenum or stringOptional
The state associated with the shipping address for the purchase order
shipping_zipstringOptional
The zip code associated with the shipping address for the purchase order
shipping_countrystringOptional
The country associated with the shipping address for the purchase order
billing_address_1stringOptional
The first address line associated with the billing address for the purchase order
billing_address_2stringOptional
The second address line associated with the billing address for the purchase order
billing_citystringOptional
The city associated with the billing address for the purchase order
billing_stateenum or stringOptional
The state associated with the billing address for the purchase order
billing_zipstringOptional
The zip code associated with the billing address for the purchase order
billing_countrystringOptional
The country associated with the billing address for the purchase order

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error